{% extends "base.html.twig" %}

{% block title %}
    {{ad.title}}
{% endblock %}

{% block body %}

<div class="ad-title" style="background-image: url({{ ad.coverImage }})">
    <div class="container">
        <h1>{{ad.title}}</h1>
        <p>{{ad.introduction | raw}}</p>
        <p>{{ ad.address.address }}</p>
        <p>{{ ad.address.postCode }}</p>
        <p>{{ ad.address.city }}</p>
        <p class="h2">
            <strong>{{ad.rooms}}
            chambres</strong>
             pour<strong>{{ad.price | number_format(2, ',', ' ')}}
                €</strong>
             / nuit</p>
        <a href="{{ path('booking_create', {'slug': ad.slug})}}" class="btn btn-primary">Réservé</a>
        {% if app.user and app.user == ad.author %}
            <a href="{{ path('ads_edit', {'slug': ad.slug}) }}" class="btn btn-secondary">Modifier l'annonce</a>
            <a href="{{ path('ads_delete', {'slug': ad.slug}) }}" class="btn btn-danger" 
            onclick="return confirm(`Etes-vous sur de vouloir supprimer l'annonce : {{ ad.title }} ?`)">Supprimer l'annonce</a>
        {% endif %}
    </div>
</div>


<div class="container">
    <div class="row">
        <div class="col-md-8 mb-3">
            {{ad.content | raw}}
            <hr>

            {# Debut du carrousel #}
             <div id="carouselExampleCaptions" class="slick slider">
                {% for image in ad.images %}
                <div class="slick-item">
                    <img src="{{image.url}}" class="d-block w-100" alt="">
                    <div class="item-caption d-none d-md-block">
                        <h5>{{image.caption}}</h5>
                    </div>
                </div>
                {% endfor %}
            </div>
            <hr>

            {% if ad.comments | length > 0 %}

            <h2 class="mb-3">Commentaires de nos voyageurs :</h2>

            <div class="alert alert-info">
                <h4 class="alert-heading text-center">
                    <div class="row align-items-center">
                        <div class="col">
                            Note globale données par nos voyageurs
                        </div>
                        <div class="col">
                            {% include "shared/rating.html.twig" with {'rating': ad.avgRatings} %}<br>
                            <small>(Claculée sur {{ad.comments | length}} avis)</small>
                        </div>
                    </div>
                </h4>
            </div>

            {% for comment in ad.comments %}
                <div class="bg-light rounded mb-3 py-3 px-3">
                    <strong>{{comment.author.fullName}}</strong> a dit :
                    <blockquote>
                        {{comment.content}}
                    </blockquote>
                    <strong>Note donnée:</strong>
                   {% include "shared/rating.html.twig" with {'rating' : comment.rating} %}
                </div>
            {% endfor %}

            {% else %}
                <h2>cette annonce n'as pas encore reçu de commentaire ...</h2>
            
            {% endif %}
            

        </div>

            {# Debut présentation hebergeur #}
        
        <div class="col">
        {% set a = ad.author %}
            <div class="row">
                <div class="col_2">
                <a href="{{ path('user_show', {'slug': a.slug}) }}">
                    <img src="{{ a.picture }}" class="avatar avatar-medium" alt="Avatar de {{ a.fullName }}">
                </a>
                </div>
                <div class="col">
                    <a href="{{ path('user_show', {'slug': a.slug}) }}">
                        <h3>{{ a.fullName }}</h3>
                    </a>
                    <span class="badge badge-primary">{{a.ads | length}} 
                    {% if a.ads | length > 1 %}
                     annonces
                    {% else %}
                     annonce
                    {% endif %}
                    </span>                
                </div>
            </div>
               {{a.description | raw}}
                <div id="mapid"></div>
            </div>
        </div>
    </div>  

{% endblock %}
{% block javascripts %}
    <script>
    var mymap = L.map('mapid').setView([{{ad.address.lat}}, {{ad.address.longi}}], 18);
    var marker = L.marker([{{ad.address.lat}}, {{ad.address.longi}}]).addTo(mymap);
    L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
        attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
        maxZoom: 18,
        id: 'mapbox/streets-v11',
        accessToken: 'pk.eyJ1Ijoia2FsaWxpbnV4NjkiLCJhIjoiY2s0aWZkZW9xMWtmNzNmbWdmdzN0M2V1YSJ9.x_7zrgJ4DrIsopADQrq5Sg'
    }).addTo(mymap);
    </script>
{% endblock %}
